namespace Telerik.Reporting.Examples.CSharp
{
    using System.ComponentModel;
    using System.Drawing;
    using Telerik.Reporting;
    using Telerik.Reporting.Drawing;
    using System;
    using System.Windows.Forms;

    /// <summary>
    /// Summary description for Report5.
    /// </summary>
    public partial class PageFooterSummaryReport : Report
    {
        public PageFooterSummaryReport()
        {
            /// <summary>
            /// Required for telerik Reporting designer support
            /// </summary>
            InitializeComponent();

            //
            // TODO: Add any constructor code after InitializeComponent call
            //

            // TODO: This line of code loads data into the 'sales.SalesTable' table. You can move, or remove it, as needed.
            try
            {
                this.salesTableAdapter1.Fill(this.sales.SalesTable);
            }
            catch (System.Exception ex)
            {
                // An error has occurred while filling the data set. Please check the exception for more information.
                System.Diagnostics.Debug.WriteLine(ex.Message);
            }
        }

        private void pageFooter_ItemDataBound(object sender, System.EventArgs e)
        {
            Telerik.Reporting.Processing.PageSection procFooter = sender as Telerik.Reporting.Processing.PageSection;
            Telerik.Reporting.Processing.TextBox procTxtIsLastPage = procFooter.Items.Find("txtIsLastPage", false)[0] as Telerik.Reporting.Processing.TextBox;
            bool isLastPage = Convert.ToBoolean(procTxtIsLastPage.Text);
            if (isLastPage)
            {
                Telerik.Reporting.Processing.TextBox procTxtOrderAmountTotalPF = procFooter.Items.Find("txtOrderAmountTotalPF", false)[0] as Telerik.Reporting.Processing.TextBox;
                procTxtOrderAmountTotalPF.Text = grandTotal.ToString();
            }
        }

        double grandTotal;
        private void txtOrderAmountTotalGF_ItemDataBound(object sender, EventArgs e)
        {
            Telerik.Reporting.Processing.TextBox procTxtOrderAmountTotalGF = sender as Telerik.Reporting.Processing.TextBox;
            grandTotal = Convert.ToDouble(procTxtOrderAmountTotalGF.Text);
        }
    }
}